Subject: Re: bug#15660: 24.3.50; (NS) Non-BMP character🔔 not shown
From: Alan Third <[email-masked]>
To: Carsten Bormann <[email-masked]>
Cc: [email-masked]
Date: Thu, 17 Aug 2017 21:31:24 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Carsten Bormann <[email-masked]> writes:

> (insert-char 128276 1 t)
>
> The inserted character is shown only as a background-color box, although
> the system has fonts for that character (Apple Color Emoji, on this machine Symbola too).
>
> (what-cursor-position t) says:
>
>              position: 192 of 192 (99%), column: 0
>             character: 🔔 (displayed as 🔔) (codepoint 128276, #o372424, #x1f514)
>     preferred charset: unicode (Unicode (ISO10646))
> code point in charset: 0x1F514
>                script: symbol
>                syntax: w 	which means: word
>              category: .:Base
>              to input: type "C-x 8 RET HEX-CODEPOINT" or "C-x 8 RET NAME"
>           buffer code: #xF0 #x9F #x94 #x94
>             file code: #xF0 #x9F #x94 #x94 (encoded by coding system utf-8-unix)
>               display: no font available
>
> Character code properties: customize what to show
>   name: BELL
>   general-category: So (Symbol, Other)
>   decomposition: (128276) ('🔔')
>
> There are text properties here:
>   fontified            t

Hi, I can see this bell character fine using Symbola on Emacs 25+. I
think it's probably been fixed at some point in the past.

For more information on color emojis on macos see:

    https://lists.gnu.org/archive/html/emacs-devel/2016-06/msg00630.html

I'm going to close this bug report, but if you're still not seeing
emojis using Symbola, please reply and let us know.
-- 
Alan Third